// scroll pour le cas d'une ancre dans l'url
var href = document.location.href;
var ind = href.indexOf('#');
if(ind > -1)
{
	scrollToId(href.substring(ind+1));
}


function supprimer(id, idPrec)
{
	if(confirm("Es-tu sur de vouloir supprimer ce lien?"))
	{
		document.getElementById('id_a_supprimer').value = id;
		document.getElementById('navForm').action += "#lien" + idPrec;
		document.getElementById('navForm').submit();
	}
}


function montreDivAjouter()
{
	document.getElementById('divAjout').className = 'clDivAjoutVisible';
	document.getElementById('divBoutonAjout').style.display = 'none';
}


function cacheDivAjouter()
{
	document.getElementById('divBoutonAjout').style.display = 'block';
	document.getElementById('divAjout').className = 'clDivAjout';
}


function edit(id)
{
	document.getElementById('lienAModifer').value = id;
	document.getElementById('navForm').action += "#lien" + id;
	document.getElementById('navForm').submit();
	
}


function enregistreEdit(id)
{
	document.getElementById('editForm').action += "#lien" + id;
	document.getElementById('editForm').submit();
}


function checkAdmin(id)
{
	document.getElementById('checkAdmin').value = id;
	document.getElementById('navForm').action += "#lien" + id;
	document.getElementById('navForm').submit();
}


function chercheTag(tag)
{
	if(document.getElementById('formRecherche') != null)
	{
		document.getElementById('rechercheTags').value = (document.getElementById('rechercheTags').value == "" ? tag : document.getElementById('rechercheTags').value + ", " + tag);
		document.getElementById('formRecherche').submit();
	}
}

function resetRecherche()
{
	document.getElementById('rechercheTags').value = "";
	document.getElementById('rechercheMots').value = "";
	document.getElementById('formRecherche').submit();
}


function majDataList(prefix, input)
{
	initInputFieldValue = input.value;
	dataList = document.getElementById('dataListTag');
	initNbVirgules = (initInputFieldValue.match(/,/g)||[]).length;

	while(dataList.childNodes.length > 0)
	{
		dataList.removeChild(dataList.childNodes[0]);
	}

	var nbRawList = listeTags.length;
	for (var i=0; i < nbRawList; i++ )
{
		var opt = document.createElement("option");
		opt.value = prefix+listeTags[i];
		dataList.appendChild(opt);
	}
}


function verifMajDatalist(input)
{
	var currInputFieldValue = input.value;
	var currInputFieldValueTrimed = input.value.replace(/^\s+|\s+$/g, "");
	var currNbVirgules = (currInputFieldValue.match(/,/g)||[]).length;

	//on renouvelle que si on a tout juste ajouté ou retiré une virgule depuis le dernier passage.
	if (initNbVirgules != currNbVirgules)
	{
		// récupère l'emplacement de la dernière virgule
		var lsIndex = currInputFieldValueTrimed.lastIndexOf(",");
		// récupère la chaine contenant jusqu'au dernier tag entier dans le contenu du champ
		var str = (lsIndex != -1) ? currInputFieldValueTrimed.substr(0, lsIndex)+", " : "";
		majDataList(str, input);
		initNbVirgules = currNbVirgules;
	}
	initInputFieldValue = currInputFieldValueTrimed;
}


function majTimezoneVille(continent)
{
	var nbContient = listeContinent[continent].length;
	var select = document.getElementById("timezoneVille");
	// vide le select...
	while(select.childNodes.length > 0) {
		select.removeChild(select.childNodes[0]);
	}
	//...pour le remplir avec les nouvelles valeurs
	for (var i=0; i < nbContient; i++ )
	{
		var opt = document.createElement("option");
		opt.value = listeContinent[continent][i];
		
		//villeActuelle est difinie dans le fichier de configuration, en même temps que listeContinent 
		if(villeActuelle == listeContinent[continent][i])
		{
			opt.setAttribute("selected", "selected");
		}
		
		opt.appendChild(document.createTextNode(listeContinent[continent][i]));
		select.appendChild(opt);
	}
}



function scrollToId(eID) {
	// This scrolling function 
	// is from http://www.itnewb.com/tutorial/Creating-the-Smooth-Scroll-Effect-with-JavaScript
	var widthFenetre = document.body.clientWidth;
	var i;
	var startY = currentYPosition();
	var stopY = elmYPosition(eID) - (widthFenetre<600 ? 0 : 80);	// on gère la position fixed du header en grande fenetre
	var distance = stopY > startY ? stopY - startY : startY - stopY;
	if (distance < 100) {
		scrollTo(0, stopY); return;
	}
	var speed = Math.round(distance / 100);
	if (speed >= 20) speed = 20;
	if (speed < 4) speed = 4;
	var step = Math.round(distance / 25);
	var leapY = stopY > startY ? startY + step : startY - step;
	var timer = 0;
	if (stopY > startY) {
		for (i = startY; i < stopY; i += step) {
			setTimeout('window.scrollTo(0, '+leapY+')', timer * speed);
			leapY += step; if (leapY > stopY) leapY = stopY; timer++;
		} return;
	}
	else{
		for (i = startY; i > stopY; i -= step) {
			setTimeout('window.scrollTo(0, '+leapY+')', timer * speed);
			leapY -= step; if (leapY < stopY) leapY = stopY; timer++;
		}
	}
}
		
/* currentYPosition -
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function currentYPosition() {
	// Firefox, Chrome, Opera, Safari
	if (window.pageYOffset) {
		return window.pageYOffset;
	}
	// Internet Explorer 6 - standards mode
	if (document.documentElement && document.documentElement.scrollTop) {
		return document.documentElement.scrollTop;
	}
	// Internet Explorer 6, 7 and 8
	if (document.body.scrollTop) {
		return document.body.scrollTop;
	}
	return 0;
			}

/* scrollTo -
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function elmYPosition(eID) {
	var elm = document.getElementById(eID);
	var y = elm.offsetTop;
	var node = elm;
	while (node.offsetParent && node.offsetParent != document.body) {
		node = node.offsetParent;
		y += node.offsetTop;
	} return y;
}
