<?php
/**
 * classe Categorie
 *
 * @author Superbaillot
 * @licence GNU GPL version 3
 */

class Categorie
{
	private $id = 0;
	private $idUtil = 0;
	private $nom = "";
	private $etat = 0;



	public function setId($id)
	{
		$this->id = $id;
	}
	public function getId()
	{
		return $this->id;
	}

	public function setIdUtil($idUtil)
	{
		$this->idUtil = $idUtil;
	}
	public function getIdUtil()
	{
		return $this->idUtil;
	}

	public function setNom($nom)
	{
		$this->nom = $nom;
	}
	public function getNom()
	{
		return $this->nom;
	}

	public function setEtat($etat)
	{
		$this->etat = $etat;
	}
	public function getEtat()
	{
		return $this->etat;
	}

	
	/**
	 * méthode qui construit le xml de l'objet
	 * @return String : code XML
	 */
	public function toXML()
	{
		$xml  = "	<categorie>\n";
		$xml .= "		<id>" . $this->getId() . "</id>\n";
		$xml .= "		<nom><![CDATA[" . utf8_encode(trim($this->getNom())) . "]]></nom>\n";
		$xml .= "		<etat>" . trim($this->getEtat()) . "</etat>\n";
		$xml .= "	</categorie>\n";
			
		return $xml;
	}
}
?>