<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Sali.
 *
 *  Sali is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Sali is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Sali.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<!DOCTYPE HTML>
<html>
<?php require("Elements/head.php");?>
	<body>
	<?php
		require("Elements/header.php");
	?>
		<div id="contenu">
			<?php
				require("Elements/messageInfo.php");
			?>
			<section class="module">
				<h1>
					<?php echo $GLOBALS["langue"]->get("MENU_CONFIGURATION");?>
				</h1>
				<div class="cModule">
				<?php require("Elements/configurationForm.php");?>
				</div>
			</section>
			
			<section class="module" id="moduleImport">
				<h1>
					<?php echo $GLOBALS["langue"]->get("TITRE_MODULE_IMPORT");?>
				</h1>
				<div class="cModule">
					<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data">
						<p>
							<?php echo $GLOBALS["langue"]->get("TEXT_IMPORT");?>
						</p>
						<p>
							<?php echo $GLOBALS["langue"]->get("LABEL_INPUT_IMPORT");?>
							<input name="import" id="import" type="file">
							<br>
							<input name="prive[]" id="privetrue" type="checkbox" value="true"></input>
							<label for="privetrue"><?php echo $GLOBALS["langue"]->get("LABEL_IMPORT_PRIVE");?></label>
							<br>
							<input name="Importer" id="Importer" type="submit" value="<?php echo htmlspecialchars($GLOBALS["langue"]->get("BTN_IMPORT"));?>">
						</p>
					</form>
				</div>
			</section>
			
			<section class="module" id="moduleChargement">
				<h1>
					<?php echo $GLOBALS["langue"]->get("TITRE_MODULE_CHARGEMENT");?>
				</h1>
				<div class="cModule">
					<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post" enctype="multipart/form-data">
						<p>
							<?php echo $GLOBALS["langue"]->get("TEXT_CHARGEMENT");?>
						</p>
						<p>
							<?php echo $GLOBALS["langue"]->get("LABEL_INPUT_CHARGEMENT");?>
							<input name="chargement" id="chargement" type="file">
							<br>
							<input name="Charger" id="Charger" type="submit" value="<?php echo htmlspecialchars($GLOBALS["langue"]->get("BTN_CHARGEMENT"));?>">
						</p>
					</form>
				</div>
			</section>
				
			<br>
				
			<section class="module" id="moduleExport">
				<h1>
					<?php echo $GLOBALS["langue"]->get("TITRE_MODULE_EXPORT");?>
				</h1>
				<div class="cModule">
					<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post">
						<?php echo $GLOBALS["langue"]->get("TEXT_EXPORT");?>
						<br>
						<input name="export" id="export" type="hidden" value="true">
						<input name="Exporter" id="Exporter" type="submit" value="<?php echo htmlspecialchars($GLOBALS["langue"]->get("BTN_EXPORT"));?>">
					</form>
				</div>
			</section>
			<section class="module" id="moduleSauvegarde">
				<h1>
					<?php echo $GLOBALS["langue"]->get("TITRE_MODULE_SAUVEGARDE");?>
				</h1>
				<div class="cModule">
					<form action="<?php echo $_SERVER['PHP_SELF'];?>" method="post">
						<?php echo $GLOBALS["langue"]->get("TEXT_SAUVEGARDE");?>
						<br>
						<input name="sauvegarde" id="sauvegarde" type="hidden" value="true">
						<input name="Sauvegarder" id="Sauvegarder" type="submit" value="<?php echo htmlspecialchars($GLOBALS["langue"]->get("BTN_SAUVEGARDE"));?>">
					</form>
				</div>
			</section>
		</div>
	<?php
		require("Elements/footer.php");
	?>
	</body>
</html>
