<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Sali.
 *
 *  Sali is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Sali is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Sali.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  $idDetail
 */
 ?>
<!DOCTYPE HTML>
<html>
<?php require("Elements/head.php");?>
	<body>
	<?php
		require("Elements/header.php");
	?>
		<div id="contenu">
			<?php
				require("Elements/formulaireEdit.php");
				require("Elements/messageInfo.php");
			?>
			<a href="?page=<?php echo PAGE_LISTE . "#lien$idDetail"?>" title="<?php echo htmlspecialchars($GLOBALS["langue"]->get("RETOUR_A_LA_LISTE"));?>"><?php echo $GLOBALS["langue"]->get("RETOUR_A_LA_LISTE");?></a>
			<?php
			$lien = $GLOBALS['sali']->getLienById($idDetail);
			if($lien->getId() != 0 && ($lien->getEtat() == ETAT_VISIBLE_TOUS || $GLOBALS["connexion"]->estConnecte()))
			{
				$idPrec = 0;
				require("Elements/lien.php");
			}
			else
			{
				$msg = $GLOBALS["langue"]->get("MSG_LIEN_INEXISTANT");
				$alert = false;
				require("Elements/messageInfo.php");
			}
			
			require("Elements/footer.php");
			?>
		</div>
	</body>
</html>
