<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Sali.
 *
 *  Sali is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Sali is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Sali.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
		<header>
			<div class="header">
			<?php 
			$logo = new Logo($langue, CHEMIN_DOSSIER_LOGO);
			$logo->setTexteRemplacement($config->getPseudo());
			echo $logo->toHTML();
			?>
				<div class="title">
					Sali
				</div>
				<div class="user">
					<?php echo $config->getPseudo(); ?>
				</div>
			<?php if($page != PAGE_POPUP_AJOUT_LIEN)
				{
					require("connexion.php");
				}
			?>
			</div>
				
			<?php
			if($page != PAGE_POPUP_AJOUT_LIEN)
			{
			?>
			<nav>
				<ul id="menu">
					<li<?php echo ($page==PAGE_LISTE ? " class='selected'" : ""); ?>>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'];?>" title="<?php echo htmlspecialchars($langue->get("MENU_LISTE"));?>"><?php echo $langue->get("MENU_LISTE");?></a>
					</li>
					<li<?php echo ($page==PAGE_TAG ? " class='selected'" : ""); ?>>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'] . "?page=" . PAGE_TAG;?>" title="<?php echo htmlspecialchars($langue->get("MENU_TAG"));?>"><?php echo $langue->get("MENU_TAG");?></a>
					</li>
					<li<?php echo ($page==PAGE_IMAGES ? " class='selected'" : ""); ?>>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'] . "?page=" . PAGE_IMAGES;?>" title="<?php echo htmlspecialchars($langue->get("MENU_IMAGE"));?>"><?php echo $langue->get("MENU_IMAGE");?></a>
					</li>
					<li>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'] . "?rss";?>" title="<?php echo htmlspecialchars($langue->get("MENU_RSS"));?>"><?php echo $langue->get("MENU_RSS");?></a>
					</li>
					<?php if($connexion->estConnecte())
					{
					?>
					<li<?php echo ($page==PAGE_CONFIG ? " class='selected'" : ""); ?>>
						<a href="<?php echo $_SERVER['SCRIPT_NAME'] . "?page=" . PAGE_CONFIG;?>" title="<?php echo htmlspecialchars($langue->get("MENU_CONFIGURATION"));?>"><?php echo $langue->get("MENU_CONFIGURATION");?></a>
					</li>
					<?php 
					}
					?>
				</ul>
			</nav>
			<?php 
			}
			?>
		</header>
		<div id="background">
			SALI
		</div>
		<div id="background2">
			<?php
				switch($page)
				{
					case PAGE_LISTE : echo supprimeAccents($langue->get("MENU_LISTE"));
						break;
					case PAGE_TAG : echo supprimeAccents($langue->get("MENU_TAG"));
						break;
					case PAGE_IMAGES : echo supprimeAccents($langue->get("MENU_IMAGE"));
						break;
					case PAGE_CONFIG : echo supprimeAccents($langue->get("MENU_CONFIGURATION"));
						break;
				}
			?>
		</div>
