<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Sali.
 *
 *  Sali is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Sali is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Sali.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
		<item>
		<?php
		$titre = $lien->getTitre();
		$texte = nl2br(htmlentitiesUTF8($lien->getCommentaire()));
		
		if($titre == "")
		{
			$titre = substr($texte, 0, 40) . (strlen($texte) ? "..." : "");
		}
		
		if($lien->getEtat() == ETAT_VISIBLE_ADMIN)
		{
			$titre = $GLOBALS["langue"]->get("PRIVE") . " - " . $titre;
		}
		$texte =nl2br(lienClickable(htmlentitiesUTF8($lien->getCommentaire()))) . "<br>" . $lien->getAppercu();
		?>
			<title><![CDATA[<?php echo $titre;?>]]></title>
			<link><![CDATA[<?php echo $lien->getUrlAffichee();?>]]></link>
			<description><![CDATA[<?php echo $texte . "\n<div style='margin-top : 15px;'>" . "<a href='" . $lien->getPermalien() . "'>" . $GLOBALS["langue"]->get("PERMALIEN") . "</a></div>";?>]]></description>
			<pubDate><?php echo date("r", strtotime($lien->getDate()));?></pubDate>
		<?php
		if(count($lien->getListeTag()) > 0 )
		{
			foreach($lien->getListeTag() as $tag)
			{
			?>
			<category><![CDATA[<?php echo $tag;?>]]></category>
			<?php
			}
		}
		?>
		</item>
