<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Sali.
 *
 *  Sali is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Sali is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Sali.  If not, see <http://www.gnu.org/licenses/>.
 *  
 *  $listeLiens
 *  $pagination
 */
 ?>
	<div class="pagination">
	<?php
	if(!isset($nbPage))
	{
		$nbPage = ceil(count($listeLiens) / $GLOBALS['config']->getNbLienParPage());
	}
	if(!isset($complementUrl))
	{
		$complementUrl = "";
	}
	if($pagination<$nbPage)
	{
	?>
		<a href="?<?=$complementUrl;?>pagination=<?php echo ($pagination + 1);?>" title="<?php echo htmlspecialchars($GLOBALS["langue"]->get("PAGE")) . " " .  ($pagination + 1);?>"> &lt; <?php echo $GLOBALS["langue"]->get("ANCIENS");?></a>
	<?php 
	}
	?>
		<?php echo $GLOBALS["langue"]->get("PAGE");?> 
		<select onchange="document.location='?<?=$complementUrl;?>pagination=' + this.value">
		<?php 
		for($i=1 ; $i<=$nbPage ; $i++)
		{
			?>
			<option value="<?php echo $i?>" <?php echo ($i == $pagination ? " selected" : "");?>>
				<?php echo $i;?>
			</option>
			<?php 
		}
		?>
		</select>
		/ <?php echo $nbPage; ?> <span> (<?php echo $GLOBALS["langue"]->get("LIENS", count($listeLiens));?>)</span>
	<?php	
	if($pagination>1)
	{
	?>
		<a href="?<?=$complementUrl;?>pagination=<?php echo ($pagination - 1);?>" title="<?php echo htmlspecialchars($GLOBALS["langue"]->get("PAGE")) . " " .  ($pagination - 1);?>"><?php echo $GLOBALS["langue"]->get("RECENTS");?> > </a>
	<?php 
	}
	?>
	</div>
	
