<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Sali.
 *
 *  Sali is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Sali is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Sali.  If not, see <http://www.gnu.org/licenses/>.
 */
 ?>
<!DOCTYPE HTML>
<html>
<?php require("Elements/head.php");?>
	<body>
		<?php 
			require("Elements/header.php");
		?>
		<div id="contenu">
			<?php
				require("Elements/messageInfo.php");
			?>
			<section class="module">
				<h1>
					<?php echo $GLOBALS["langue"]->get("FOOTER_A_PROPOS");?>
				</h1>
				
				<div class="cModule">
					<p>
						Sali est un gestionnaire de marque-pages développé par <a href='http://superbaillot.net'>Superbaillot</a>. Le but de Sali était d'avoir à disposition mes marque-pages quelque soit l'ordinateur sur lequel je suis, du moment que j'ai une connexion internet.
					</p>
					<p>
						Pourquoi ce nom?
						<br>
						En fait Sali veut dire SAuvegarder ses LIens.
					</p>
					<p>
						Comment cela fonctionne?
						<br>
						La page principale affiche la liste des liens public. Ceux-ce sont rangés par catégories. Lorsque vous êtes connecté, vous aurez aussi acces à vos liens privés ainsi qu'un acces à la configuration.
					</p>
					<p>
						J'ai repris le système de <a href='http://sebsauvage.net' target='_blank'>Sebsauvage</a> pour son Shaarli qui permet d'ajouter un lien via un marque page présent dans la barre personelle. Donc merci Sebsauvage :)
					</p>
					<p>
						J'ai utilisé le code de <a href='http://http://lehollandaisvolant.net' target='_blank'>Timo</a> (que j'ai un peu modifié) pour l'auto-completion des tags avec les datalist. Donc merci Timo :)
					</p>
					<p>
						Sali est distribué sous <a href='http://www.gnu.org/licenses/gpl.html' target='_blank'>license GPLv3</a>.
					</p>
					<p>
						Les icones utilisé pour Sali proviennent de <a href='http://p.yusukekamiyamane.com' target='_blank'>Yusuke Kamiyamane</a>. Les icones sont sous Licence Creative Commons Paternité 3.0. Je le remercie de mettre son travail à disposition.
					</p>
				</div>
			</section>
		</div>
	<?php require("Elements/footer.php");?>
	</body>
</html>
