<?php
/**
 * 
 * Copyright 2012-2013 Superbaillot
 * This file is part of Sali.
 *
 *  Sali is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  Sali is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Sali.  If not, see <http://www.gnu.org/licenses/>.
 *  
 */
 ?>
<!DOCTYPE HTML>
<html>
<?php require("Elements/head.php");?>
	<body>
	<?php
		require("Elements/header.php");
	?>
		<div id="contenu">
			<?php
				require("Elements/messageInfo.php");
				$masqueBouton = true;
				//bar de recherche qui contient aussi le formulaire d'ajout d'une nouvelle entrée 
				require("Elements/recherche.php");
			?>
			<div class="nuageImage">
			<?php
			
			$filtreRecherche->ajouteExtension("jpg,jpeg,gif,png");
			$listeLiens = $GLOBALS['sali']->getListeLiens($filtreRecherche);
			
			$complementUrl = "page=" . PAGE_IMAGES . "&";
			$nbPage = ceil(count($listeLiens) / ($GLOBALS['config']->getNbLienParPage()* 3));
			$nbImgParPage = $GLOBALS['config']->getNbLienParPage() * 3;
			
			require("Elements/pagination.php");
			
			//affichage des liens de la page
			$debut = (($pagination - 1) * $nbImgParPage);
			$fin = $debut + $nbImgParPage;
			$nbElement = count($listeLiens);
			
			for( $i = $debut ; $i < $fin ; $i++)
			{
				if($i >= $nbElement)
				{
					break;
				}
				$lien = $listeLiens[$i];
				$str = $lien->getAppercu();
				
				if($str != "")
				{
						?>
						<div class="vignette" style="width : 200px; height : 150px">
						<?php
						echo $str;
						?>
						</div>
						<?php
				}
			}
			require("Elements/pagination.php");
				?> 
			</div>
		</div>
	<?php	
		require("Elements/footer.php");
	?>
	</body>
</html>
